# Created by pyp2rpm-3.3.3
%global pypi_name pykwalify

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 1
Summary:        Python YAML/JSON schema validation library
Group:          Development/Python
License:        MIT
URL:            http://github.com/grokzen/pykwalify
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:		pykwalify-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(docopt)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(ruamel.yaml)
BuildRequires:  python3dist(setuptools)
# tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(testfixtures)

%description
This framework is a port with a lot of added functionality of the Java version of the
framework kwalify that can be found at http://www.kuwata-lab.com/kwalify/.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This framework is a port with a lot of added functionality of the Java version of the
framework kwalify that can be found at http://www.kuwata-lab.com/kwalify/.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license docs/license.rst LICENSE
%doc README.md tests/files/README.md
%{_bindir}/pykwalify
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 29 2020 wally <wally> 1.7.0-1.mga8
+ Revision: 1562078
- imported package python-pykwalify

